Page MenuHomePhabricator

MediaWiki:Pagetitle-view-mainpage does not behave the same in MinervaNeue skin as it does in other skin
Closed, ResolvedPublic3 Estimated Story PointsBUG REPORT

Description

The page title e.g. contents of the <title> tag of the main page of Wikimedia projects in the Minerva skin reads “- Project name” instead of just “Project name” (or maybe “Main page - Project name”).

Steps to Reproduce: open the main page of a Wikimedia Project (Wikipedia, Wikinews, etc) in either Mobile Web (m. domain) or with Minerva skin (?useskin=minerva) and check the page title (as visible eg in browser tabs).

Actual Results (Minerva):

image.png (1×1 px, 339 KB)

Developer notes

T265892#6563562

Expected Results (Vector):

image.png (1×1 px, 473 KB)

The issue is the line https://github.com/wikimedia/mediawiki-skins-MinervaNeue/blob/master/includes/Skins/SkinMinerva.php#L565

A similar problem exists in T255682 i

QA steps

QA Results - Prod

ACStatusDetails
1T265892#7611539
2T265892#7611539

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
toorich renamed this task from Pagetitle on main page of Wikimedia Project Sites in mobile version has an unneeded " - " prefix to MediaWiki:Pagetitle-view-mainpage doesn't working in mobile version.Jul 11 2021, 2:09 PM
toorich renamed this task from MediaWiki:Pagetitle-view-mainpage doesn't working in mobile version to `MediaWiki:Pagetitle-view-mainpage` doesn't work in mobile version.Jul 11 2021, 2:12 PM

This error start appears at third-party wiki like BetaWiki.

toorich renamed this task from `MediaWiki:Pagetitle-view-mainpage` doesn't work in mobile version to MediaWiki:Pagetitle-view-mainpage doesn't work in mobile version.Jul 11 2021, 2:16 PM
This comment was removed by toorich.

Please note that @Helix17 was inactive since April 5th.

Can somebody update the description of the task as it is very unclear what the problem is now I look at it a year later. The expected results show the desktop site, but the actual results show the mobile site and this links to an outdated URI.

This bug has a better chance of being addressed if the description is improved.

Does it relate to T255682 in any way?

Jdlrobson changed the task status from Open to Stalled.Jul 13 2021, 7:29 PM
Jdlrobson removed a project: good first task.

I have tried to describe what the original problem was (and still is)

Jdlrobson renamed this task from MediaWiki:Pagetitle-view-mainpage doesn't work in mobile version to MediaWiki:Pagetitle-view-mainpage does not behave the same in mobile version as it does in the desktop version.Jul 13 2021, 8:14 PM
Jdlrobson changed the task status from Stalled to Open.
Jdlrobson updated the task description. (Show Details)

Thanks @XanonymusX I've made a few tweaks to make it clearer what we need to do here.

Almost 1 year later... the bug is still not fixed...

@toorich: If you would like to see a bug fixed, please see https://www.mediawiki.org/wiki/Gerrit/Tutorial and contribute a patch. Age of a ticket is irrelevant; please refrain from adding such comments. Also see https://www.mediawiki.org/wiki/Bug_management/Development_prioritization for general info - thanks a lot! :)

toorich renamed this task from MediaWiki:Pagetitle-view-mainpage does not behave the same in mobile version as it does in the desktop version to MediaWiki:Pagetitle-view-mainpage does not behave the same in MinervaNeue skin as it does in other skin.Oct 26 2021, 7:23 PM
toorich raised the priority of this task from Medium to Needs Triage.Oct 26 2021, 7:27 PM
toorich triaged this task as Unbreak Now! priority.Nov 7 2021, 6:29 AM
taavi lowered the priority of this task from Unbreak Now! to Needs Triage.Nov 7 2021, 8:41 AM

Change 737216 had a related patch set uploaded (by A2093064; author: A2093064):

[mediawiki/skins/MinervaNeue@master] Fix empty title for logged-out users using Minerva skin

https://gerrit.wikimedia.org/r/737216

Change 737112 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/MinervaNeue@master] Minerva uses core page title handling

https://gerrit.wikimedia.org/r/737112

Change 738039 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/extensions/WikimediaMessages@master] On mobile override, main page title

https://gerrit.wikimedia.org/r/738039

Change 737216 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] Fix empty title for logged-out users using Minerva skin

https://gerrit.wikimedia.org/r/737216

Is the fact that the main page started to output title for anonymous readers caused by the patches above being merged?

(See https://ru.m.wikipedia.org/wiki/Заглавная_страница as an example or any other main page currently.)

Change 738039 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] On mobile override main page title

https://gerrit.wikimedia.org/r/738039

Change 747182 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/extensions/GrowthExperiments@master] Prepare for Minerva heading ID change

https://gerrit.wikimedia.org/r/747182

kostajh added subscribers: Etonkovidova, kostajh.

(@Etonkovidova for Growth, nothing to QA yet, but once https://gerrit.wikimedia.org/r/c/737112 is merged, then QA for homepage would be nice.)

Change 747182 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Prepare for Minerva heading ID change

https://gerrit.wikimedia.org/r/747182

Change 737112 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] Minerva uses core page title handling

https://gerrit.wikimedia.org/r/737112

Change 749692 had a related patch set uploaded (by Amire80; author: Amire80):

[translatewiki@master] [Most used] Remove a deleted message

https://gerrit.wikimedia.org/r/749692

Change 749692 merged by jenkins-bot:

[translatewiki@master] [Most used] Remove a deleted message

https://gerrit.wikimedia.org/r/749692

(@Etonkovidova for Growth, nothing to QA yet, but once https://gerrit.wikimedia.org/r/c/737112 is merged, then QA for homepage would be nice.)

Checked Main page on betalabs and on wmf.16 (for several wikis including zhwiki wmf.16) . Special:Homepage correctly displayed a user name. The title is displayed as following:

skinurltitle
new VectorSpecial:Homepage - https://en.wikipedia.org/w/index.php?title=Special:Homepage&source=personaltoolslink&namespace=0<title>Hello, &#x202A;Zilant17&#x202C;! - Wikipedia</title> <h1 id="firstHeading" class="firstHeading mw-first-heading">Hello, &#x202A;Zilant17&#x202C;!</h1>
new VectorMain page - https://en.wikipedia.org/wiki/Main_Page<title>Wikipedia, the free encyclopedia</title>
MinervaSpecial:Homepage - https://en.m.wikipedia.org/w/index.php?title=Special:Homepage&namespace=0<title>Hello, &#x202A;Zilant17&#x202C;! - Wikipedia</title>, <div class="page-heading"> <h1 id="firstHeading" class="firstHeading mw-first-heading">Hello, &#x202A;Zilant17&#x202C;!</h1>
MinervaMain page - https://en.m.wikipedia.org/wiki/Main_Page<title>Wikipedia, the free encyclopedia</title> <div class="page-heading"><h1 id="firstHeading" class="firstHeading mw-first-heading">Welcome, Zilant17!</h1>

Test Result - Prod

Status: ✅ PASS
Environment: enwiki
OS: macOS Monterey
Browser: Chrome, Firefox
Device: MBP
Emulated Device:NA

Test Artifact(s):

QA Steps

✅ AC1: Go to https://en.m.wikipedia.org/wiki/Main_Page as a logged in user and confirm the title says "Welcome, Username!"

Screen Shot 2022-01-10 at 6.29.01 PM.png (342×709 px, 55 KB)

✅ AC2: Go to https://en.m.wikipedia.org/wiki/Main_Page as an anonymous user and confirm the title is absent from the page.

Screen Shot 2022-01-10 at 6.29.41 PM.png (272×627 px, 40 KB)

Edtadros updated the task description. (Show Details)
Edtadros added a subscriber: Edtadros.

Following up to gerrit 737112 from late 2021 which has these FIXME:

// FIXME: #section_0 rule can be removed > 1 week after
// I2ffdedd64414ffb3c6e441391a75fd6e744847a4 is in production.

These remaining #section_0 selectors may now be removed.

Test wiki on Patch demo by Xiplus using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/739aa3b7db/w/